#2672 closed defect (fixed)

After latest patches with Objects_Get_by_name rtems-master not compiling without --enable-posix

Reported by: Serg Kruglov Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

After latest patches with Objects_Get_by_name rtems-master not compiling if i use --disable-posix. Type "Objects_Get_by_name_error" not resolved in posixapi.h in sapi folder.
If --enable-posix - all OK.

Change History (3)

comment:1 Changed on Mar 22, 2016 at 6:44:56 AM by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In c61431f9349869e94f12787abea796861039054e/rtems:

score: Always declare _Objects_Get_by_name()

Still define it only if RTEMS_SCORE_OBJECT_ENABLE_STRING_NAMES is
defined.

Close #2672.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.